using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Collections;

namespace LINQ_to_Random
{
    class ŹródłoLiczbLosowych : IEnumerable
    {
        int size = 0;

        public ŹródłoLiczbLosowych(int size)
        {
            if (size < 1) throw new Exception("Rozmiar musi być liczbą większą od zera");
            else this.size = size;
        }

        IEnumerator IEnumerable.GetEnumerator()
        {
            return Execute().GetEnumerator();
        }

        public List<double> Execute()
        {
            Random random = new Random();
            List<double> lista = new List<double>(size);
            for (int i = 0; i < size; i++)
            {
                double liczba = random.NextDouble();
                lista.Add(liczba);
            }
            return lista;
        }
    }
}
